package com.bsis.peuplement.model;




import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity(name = "Dossier")
@Table(
        name = "dossier_2")

public class Dossier {
    @Id
    @Column(name = "dossier_id")
    private Long dossier_id;
    private Long commercialite_id;
    private Long extension_numero_id;
    private Long redevable_id;
    private Long dossier_id_fusion;
    private Long numero_immeuble;
    private Date date_prise_charge;
    private String commentaire;
    private Date date_creation;
    private Date date_modification;
    private Date date_derniere_taxation;
    private Date date_cloture;
    private Long numero_sequence;
    private String numero_de_dossier;
    private Long base_adresse_id;
    private String adresse;
    private Boolean si_taxable;
    private Boolean si_publicite;
    private Boolean si_supprime;
    private Long id_sig;
    private Boolean si_tag_dossier;
    private Boolean si_attente_retour_enquete;
    private Boolean si_attente_pieces_compl;
    private Boolean si_incomplet;
    private Boolean si_a_suivre;
    private Boolean si_avis_de_sursoir;
    private String espace_documentaire_ged;
    private String siret;
    //***********************************
    //....................................
    // Costructors
    //....................................

    public Dossier(Long dossier_id,
                   Long commercialite_id,
                   Long extension_numero_id,
                   Long redevable_id,
                   Long dossier_id_fusion,
                   Long numero_immeuble,
                   Date date_prise_charge,
                   String commentaire,
                   Date date_creation,
                   Date date_modification,
                   Date date_derniere_taxation,
                   Date date_cloture,
                   Long numero_sequence,
                   String numero_de_dossier,
                   Long base_adresse_id,
                   String adresse,
                   Boolean si_taxable,
                   Boolean si_publicite,
                   Boolean si_supprime,
                   Long id_sig,
                   Boolean si_tag_dossier,
                   Boolean si_attente_retour_enquete,
                   Boolean si_attente_pieces_compl,
                   Boolean si_incomplet,
                   Boolean si_a_suivre,
                   Boolean si_avis_de_sursoir,
                   String espace_documentaire_ged,
                   String siret) {
        this.dossier_id = dossier_id;
        this.commercialite_id = commercialite_id;
        this.extension_numero_id = extension_numero_id;
        this.redevable_id = redevable_id;
        this.dossier_id_fusion = dossier_id_fusion;
        this.numero_immeuble = numero_immeuble;
        this.date_prise_charge = date_prise_charge;
        this.commentaire = commentaire;
        this.date_creation = date_creation;
        this.date_modification = date_modification;
        this.date_derniere_taxation = date_derniere_taxation;
        this.date_cloture = date_cloture;
        this.numero_sequence = numero_sequence;
        this.numero_de_dossier = numero_de_dossier;
        this.base_adresse_id = base_adresse_id;
        this.adresse = adresse;
        this.si_taxable = si_taxable;
        this.si_publicite = si_publicite;
        this.si_supprime = si_supprime;
        this.id_sig = id_sig;
        this.si_tag_dossier = si_tag_dossier;
        this.si_attente_retour_enquete = si_attente_retour_enquete;
        this.si_attente_pieces_compl = si_attente_pieces_compl;
        this.si_incomplet = si_incomplet;
        this.si_a_suivre = si_a_suivre;
        this.si_avis_de_sursoir = si_avis_de_sursoir;
        this.espace_documentaire_ged = espace_documentaire_ged;
        this.siret = siret;
    }
    //...................................
    public Dossier() {}
    //....................................
    // Getters
    //....................................

    public Long getDossier_id() {
        return dossier_id;
    }

    public Long getCommercialite_id() {
        return commercialite_id;
    }

    public Long getExtension_numero_id() {
        return extension_numero_id;
    }

    public Long getRedevable_id() {
        return redevable_id;
    }

    public Long getDossier_id_fusion() {
        return dossier_id_fusion;
    }

    public Long getNumero_immeuble() {
        return numero_immeuble;
    }

    public Date getDate_prise_charge() {
        return date_prise_charge;
    }

    public String getCommentaire() {
        return commentaire;
    }

    public Date getDate_creation() {
        return date_creation;
    }

    public Date getDate_modification() {
        return date_modification;
    }

    public Date getDate_derniere_taxation() {
        return date_derniere_taxation;
    }

    public Date getDate_cloture() {
        return date_cloture;
    }

    public Long getNumero_sequence() {
        return numero_sequence;
    }

    public String getNumero_de_dossier() {
        return numero_de_dossier;
    }

    public Long getBase_adresse_id() {
        return base_adresse_id;
    }

    public String getAdresse() {
        return adresse;
    }

    public Boolean getSi_taxable() {
        return si_taxable;
    }

    public Boolean getSi_publicite() {
        return si_publicite;
    }

    public Boolean getSi_supprime() {
        return si_supprime;
    }

    public Long getId_sig() {
        return id_sig;
    }

    public Boolean getSi_tag_dossier() {
        return si_tag_dossier;
    }

    public Boolean getSi_attente_retour_enquete() {
        return si_attente_retour_enquete;
    }

    public Boolean getSi_attente_pieces_compl() {
        return si_attente_pieces_compl;
    }

    public Boolean getSi_incomplet() {
        return si_incomplet;
    }

    public Boolean getSi_a_suivre() {
        return si_a_suivre;
    }

    public Boolean getSi_avis_de_sursoir() {
        return si_avis_de_sursoir;
    }

    public String getEspace_documentaire_ged() {
        return espace_documentaire_ged;
    }

    public String getSiret() {
        return siret;
    }


    //....................................
    // Setters
    //....................................

    public void setDossier_id(Long dossier_id) {
        this.dossier_id = dossier_id;
    }

    public void setCommercialite_id(Long commercialite_id) {
        this.commercialite_id = commercialite_id;
    }

    public void setExtension_numero_id(Long extension_numero_id) {
        this.extension_numero_id = extension_numero_id;
    }

    public void setRedevable_id(Long redevable_id) {
        this.redevable_id = redevable_id;
    }

    public void setDossier_id_fusion(Long dossier_id_fusion) {
        this.dossier_id_fusion = dossier_id_fusion;
    }

    public void setNumero_immeuble(Long numero_immeuble) {
        this.numero_immeuble = numero_immeuble;
    }

    public void setDate_prise_charge(Date date_prise_charge) {
        this.date_prise_charge = date_prise_charge;
    }

    public void setCommentaire(String commentaire) {
        this.commentaire = commentaire;
    }

    public void setDate_creation(Date date_creation) {
        this.date_creation = date_creation;
    }

    public void setDate_modification(Date date_modification) {
        this.date_modification = date_modification;
    }

    public void setDate_derniere_taxation(Date date_derniere_taxation) {
        this.date_derniere_taxation = date_derniere_taxation;
    }

    public void setDate_cloture(Date date_cloture) {
        this.date_cloture = date_cloture;
    }

    public void setNumero_sequence(Long numero_sequence) {
        this.numero_sequence = numero_sequence;
    }

    public void setNumero_de_dossier(String numero_de_dossier) {
        this.numero_de_dossier = numero_de_dossier;
    }

    public void setBase_adresse_id(Long base_adresse_id) {
        this.base_adresse_id = base_adresse_id;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public void setSi_taxable(Boolean si_taxable) {
        this.si_taxable = si_taxable;
    }

    public void setSi_publicite(Boolean si_publicite) {
        this.si_publicite = si_publicite;
    }

    public void setSi_supprime(Boolean si_supprime) {
        this.si_supprime = si_supprime;
    }

    public void setId_sig(Long id_sig) {
        this.id_sig = id_sig;
    }

    public void setSi_tag_dossier(Boolean si_tag_dossier) {
        this.si_tag_dossier = si_tag_dossier;
    }

    public void setSi_attente_retour_enquete(Boolean si_attente_retour_enquete) {
        this.si_attente_retour_enquete = si_attente_retour_enquete;
    }

    public void setSi_attente_pieces_compl(Boolean si_attente_pieces_compl) {
        this.si_attente_pieces_compl = si_attente_pieces_compl;
    }

    public void setSi_incomplet(Boolean si_incomplet) {
        this.si_incomplet = si_incomplet;
    }

    public void setSi_a_suivre(Boolean si_a_suivre) {
        this.si_a_suivre = si_a_suivre;
    }

    public void setSi_avis_de_sursoir(Boolean si_avis_de_sursoir) {
        this.si_avis_de_sursoir = si_avis_de_sursoir;
    }

    public void setEspace_documentaire_ged(String espace_documentaire_ged) {
        this.espace_documentaire_ged = espace_documentaire_ged;
    }

    public void setSiret(String siret) {
        this.siret = siret;
    }

    //....................................
    // ToString
    //....................................


    @Override
    public String toString() {
        return "Dossier{" +
                "dossier_id=" + dossier_id +
                ", redevable_id=" + redevable_id +
                ", adresse='" + adresse + '\'' +
                ", siret='" + siret + '\'' +
                ", numeroDeDossier='" + numero_de_dossier + '\'' +
                '}';
    }
}